FixCrLfFilter.CrLf (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.filters, class: FixCrLfFilter, class: CrLf

Package org.apache.tools.ant.filters

# Class FixCrLfFilter.CrLf

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.filters.FixCrLfFilter.CrLf

Enclosing class:
  `FixCrLfFilter`

public static class FixCrLfFilter.CrLf extends EnumeratedAttribute
Enumerated attribute with the values "asis", "cr", "lf" and "crlf".

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CrLf()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  Equality depending in the index.
  `String[]`
  `getValues()`
  This is the only method a subclass needs to implement.
  `int`
  `hashCode()`
  Hashcode depending on the index.
  `static FixCrLfFilter.CrLf`
  `newInstance(String value)`
  Create an instance of this enumerated value based on the string value.

  ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CrLf

    public CrLf()

- ## Method Details

  - ### getValues

    public String[] getValues()
    Description copied from class: `EnumeratedAttribute`
    This is the only method a subclass needs to implement.
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.
    See Also:
      - .

  - ### equals

    public boolean equals(Object other)
    Equality depending in the index.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `other` - the object to test equality against.
    Returns:
      true if the object has the same index as this.

  - ### hashCode

    public int hashCode()
    Hashcode depending on the index.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      the index as the hashcode.

  - ### newInstance

    public static FixCrLfFilter.CrLf newInstance(String value)
    Create an instance of this enumerated value based on the string value.
    Parameters:
      `value` - the value to use.
    Returns:
      an enumerated instance.